org.springframework.cloud.dataflow.server.config.features

## Class SchedulerConfiguration.SchedulerConfigurationPropertyChecker

- java.lang.Object
- - org.springframework.boot.autoconfigure.condition.SpringBootCondition
  - - org.springframework.boot.autoconfigure.condition.AbstractNestedCondition
    - - org.springframework.boot.autoconfigure.condition.AllNestedConditions
      - - org.springframework.cloud.dataflow.server.config.features.SchedulerConfiguration.SchedulerConfigurationPropertyChecker

- All Implemented Interfaces:
    org.springframework.context.annotation.Condition, org.springframework.context.annotation.ConfigurationCondition
  Enclosing class:
    SchedulerConfiguration

      public static class SchedulerConfiguration.SchedulerConfigurationPropertyChecker
      extends org.springframework.boot.autoconfigure.condition.AllNestedConditions

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.boot.autoconfigure.condition.AbstractNestedCondition

      `org.springframework.boot.autoconfigure.condition.AbstractNestedCondition.MemberMatchOutcomes`

    - ### Nested classes/interfaces inherited from interface org.springframework.context.annotation.ConfigurationCondition

      `org.springframework.context.annotation.ConfigurationCondition.ConfigurationPhase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerConfigurationPropertyChecker()`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.boot.autoconfigure.condition.AllNestedConditions

      `getFinalMatchOutcome`

    - ### Methods inherited from class org.springframework.boot.autoconfigure.condition.AbstractNestedCondition

      `getConfigurationPhase, getMatchOutcome`

    - ### Methods inherited from class org.springframework.boot.autoconfigure.condition.SpringBootCondition

      `anyMatches, logOutcome, matches, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.annotation.Condition

      `matches`

- - ### Constructor Detail

    - #### SchedulerConfigurationPropertyChecker

          public SchedulerConfigurationPropertyChecker()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.